Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

unable to start opensips 1.9

zozo
2013-03-16
2013-05-09
  • zozo
    zozo
    2013-03-16

    Hello I have just installed opensips 1.9 and when I try to start it I am getting the following error:
    Mar 15 18:26:25 freya /usr/local/sbin/opensips: ERROR:core:db_check_table_version: invalid version 0 for table dialog found, expected 8
    Mar 15 18:26:25 freya /usr/local/sbin/opensips: ERROR:dialog:init_dlg_db: error during table version check.
    Mar 15 18:26:25 freya /usr/local/sbin/opensips: ERROR:dialog:mod_init: failed to initialize the DB support
    Mar 15 18:26:25 freya /usr/local/sbin/opensips: ERROR:core:init_mod: failed to initialize module dialog
    Mar 15 18:26:25 freya /usr/local/sbin/opensips: ERROR:core:main: error while initializing modules

    I have tried everything to create the db from scratch to reinitialize the db even migrate but the errors is always the same.

    I would appreciate some help
    regards,
    Peter

     
  • Hi, this means the DB table for dialog module was not properly installed - aside creating the "dialog"table, you need to have its version entry in the "version" table.

    Regards,
    Bogdan